Page MenuHomePhabricator

Convert FlaggedRevs to use extension registration
Closed, ResolvedPublic

Description

The FlaggedRevs extension needs to be converted to use the new extension registration system. More details are available on T87875.

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:32 PM
Liuxinyu970226 set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 18 2015, 10:45 AM

Change 316201 had a related patch set uploaded (by Reedy):
Convert FlaggedRevs to extension registration

https://gerrit.wikimedia.org/r/316201

Change 316201 abandoned by Reedy:
Convert FlaggedRevs to extension registration

Reason:
Not worth continuing to rebase until stuff in master is done

https://gerrit.wikimedia.org/r/316201

Reedy triaged this task as Medium priority.Nov 27 2016, 10:42 PM

Why not Lowest priority? This extension is under T185664 review, so it would be possible to sunset maintaining in one day.

Change 511021 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/FlaggedRevs@master] Partial conversion to extension.json

https://gerrit.wikimedia.org/r/511021

Change 511034 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/FlaggedRevs@master] Some more extension registration

https://gerrit.wikimedia.org/r/511034

Change 511021 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Partial conversion to extension.json

https://gerrit.wikimedia.org/r/511021

Change 511034 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Some more extension registration

https://gerrit.wikimedia.org/r/511034

Reedy closed this task as Resolved.Jun 25 2019, 1:16 AM
Reedy claimed this task.
Reedy removed a project: Patch-For-Review.

Note: the migration was finished in https://gerrit.wikimedia.org/r/514508, which was not attached to this task. (Also, the PHP entry point is still used in production, but I figure it’s not worth reopening this task for that.)

Change 543180 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] extension-list: Load FlaggedRevs via extension.json

https://gerrit.wikimedia.org/r/543180

Change 543180 merged by jenkins-bot:
[operations/mediawiki-config@master] extension-list: Load FlaggedRevs via extension.json

https://gerrit.wikimedia.org/r/543180

Mentioned in SAL (#wikimedia-operations) [2019-10-16T11:26:51Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/: SWAT: [[gerrit:543180|extension-list: Load FlaggedRevs via extension.json (T87915, T139800, T140852)]] (duration: 01m 05s)